=== debian/changelog ===
qmmp (1.1.6-1.1ubuntu1) artful; urgency=medium

  * Disable qmmp-plugin-projectm on arm64, where Qt is also linked to GLESv2
    in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Aug 2017 00:26:01 -0700

qmmp (1.1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build-dependency on oss4-dev on Linux kernel (Closes: #852986)
    - d/rules: explicitly disable OSS4 on Linux, for predictability

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Jan 2017 12:00:10 +0000

qmmp (1.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Suggest mplayer instead of mplayer2. (Closes: #841193)
  * Switch to debhelper compat 10.

 -- Matteo Cypriani <mcy@lm7.fr>  Mon, 16 Jan 2017 14:03:58 -0500

qmmp (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches (included upstream, not needed any more).
  * Update Build-Depends.
  * Update package description.

 -- Matteo Cypriani <mcy@lm7.fr>  Fri, 07 Oct 2016 09:00:36 -0400

qmmp (1.0.9-1) unstable; urgency=medium

  * Acknowledging NMU.
  * New upstream version 1.0.9.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.8.
  * Use DEB_BUILD_MAINT_OPTIONS to set hardening flags.
  * Use secure URIs for Vcs-Git and Vcs-Browser.
  * New patch: Fix conversion in wildmidi plugin (Closes: #835079).
  * New patch: Fix typo in "Highlighted".

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 18 Sep 2016 10:54:59 -0400
