=== debian/control ===
Source: qmmp
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matteo Cypriani <mcy@lm7.fr>
Build-Depends: debhelper (>= 10), cmake, pkg-config, qtbase5-dev (>= 5.4),
  libqt5x11extras5-dev (>= 5.4), qttools5-dev-tools (>= 5.4),
  qtchooser, libx11-dev, oss4-dev [!linux-any], libmad0-dev, libvorbis-dev,
  libogg-dev, libasound2-dev [linux-any], libtag1-dev (>= 1.10),
  libcurl4-gnutls-dev, qtmultimedia5-dev (>= 5.4), libmms-dev,
  libflac-dev, libmpcdec-dev, libjack-jackd2-dev, libsoxr-dev,
  libmodplug-dev, libsndfile1-dev, libwavpack-dev, libpulse-dev,
  libavcodec-dev, libavformat-dev, libcdio-dev, libcdio-paranoia-dev,
  libcddb2-dev, libfaad-dev, libgme-dev, libopus-dev (>= 1.0.2),
  libopusfile-dev, libwildmidi-dev, libsidplayfp-dev (>= 1.0.3),
  libbs2b-dev, libprojectm-dev [!armel !armhf !arm64], libenca-dev
Standards-Version: 3.9.8
Homepage: http://qmmp.ylsoftware.com/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/qmmp.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/qmmp.git

Package: qmmp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: qmmp-plugin-projectm, mplayer, unzip, udisks2 [linux-any],
  hal [!linux-any]
Replaces: libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8), libqmmp-misc (<< 0.8)
Breaks: libqmmp0 (<< 0.8), libqmmpui0 (<< 0.8), libqmmp-misc (<< 0.8)
Description: feature-rich audio player with support of many formats
 Qmmp is feature-rich audio player with support of many formats.
 It is written in Qt.
 .
 Supported formats:
  - MPEG1 layer 2/3
  - Ogg Vorbis
  - Ogg Opus
  - Native FLAC, Ogg FLAC
  - Musepack
  - WavePack
  - tracker modules (mod, s3m, it, xm, etc)
  - ADTS AAC
  - CD Audio
  - WMA, Monkey's Audio (and other formats provided by FFmpeg library)
  - PCM WAVE (and other formats provided by libsndfile library)
  - midi
  - SID
  - chiptune formats (AY, GBS, GYM, HES, KSS, NSF, NSFE, SAP, SPC, VGM, VGZ,
    VTX)
 .
 DSP effects:
  - BS2B effect
  - sample rate converter
  - LADSPA effects
  - extra stereo
  - crossfade
 .
 Audio output through:
  - ALSA
  - OSS
  - PulseAudio
  - JACK
  - QTMultimedia
 .
 Other features:
  - XMMS and Winamp 2.x skins support
  - 10-band equalizer
  - MP3, Vorbis, AAC, AAC+ streams support
  - mms support
  - MPRIS (1.0 and 2.0)
  - removable device detection (via HAL or UDisks)
  - video playback via Mplayer
  - lyrics (using lyrics.wikia.com)
  - cover art support
  - CUE sheet support
  - embedded CUE support (for FLAC and WavPack)
  - multiple playlists
  - automatic charset detection for cue files and ShoutCast metadata
  - playlist formats: m3u, pls, xspf
  - ReplayGain support
  - Last.fm/Libre.fm scrobbler
  - CDDB support
  - audio converter
  - stream browser
  - audio formats converter
  - external programs execution on track change
  - ReplayGain scanner
  - visualization (spectre analyzer, projectm)
  - global hotkeys

Package: qmmp-plugin-projectm
Architecture: any-amd64 any-i386 any-mips any-mipsel any-powerpc any-ppc64el any-s390x any-alpha any-hppa any-m68k any-mips64el any-powerpcspe any-sh4 any-sparc64 any-x32
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: qmmp audio player -- projectM visualization plugin
 Qmmp is feature-rich audio player with support of many formats.
 It is written in Qt.
 .
 See 'qmmp' package for full description.
 .
 This package contains projectM visualization plugin for qmmp.
