## qmmp 1.1.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -121,8 +121,12 @@
     ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "moc_*.cpp" | xargs rm -rf
     COMMAND find
     ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "qrc_*.cxx" | xargs rm -rf
+    COMMAND find
+    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name "*_automoc.cpp" | xargs rm -rf
     COMMAND rm
     ARGS -rf ${CMAKE_CURRENT_BINARY_DIR}/install_manifest.txt
+    COMMAND find
+    ARGS ${CMAKE_CURRENT_BINARY_DIR} -name *_automoc.dir | xargs rm -rf
     TARGET  distclean
 )
 ENDIF(UNIX)
@@ -187,7 +191,7 @@
 PRINT_SUMMARY ("Lyrics support ...................." USE_LYRICS 1)
 PRINT_SUMMARY ("HAL support ......................." USE_HAL Qt5DBus_FOUND)
 PRINT_SUMMARY ("UDisks2 support ..................." USE_UDISKS2 Qt5DBus_FOUND)
-PRINT_SUMMARY ("Global hotkey support ............." USE_HOTKEY X11_FOUND)
+PRINT_SUMMARY ("Global hotkey support ............." USE_HOTKEY X11_FOUND AND Qt5X11Extras_FOUND)
 PRINT_SUMMARY ("GNOME/Cinnamon hotkey support ....." USE_GNOMEHOTKEY Qt5DBus_FOUND)
 PRINT_SUMMARY ("File operations ..................." USE_FILEOPS 1)
 PRINT_SUMMARY ("Cover manager ....................." USE_COVER 1)
@@ -205,7 +209,7 @@
 
 MESSAGE("")
 MESSAGE("Advanced:")
-PRINT_SUMMARY ("Skinned user interface ............" USE_SKINNED X11_FOUND)
+PRINT_SUMMARY ("Skinned user interface ............" USE_SKINNED X11_FOUND AND Qt5X11Extras_FOUND)
 PRINT_SUMMARY ("Simple user interface (QSUI) ......" USE_QSUI 1)
 PRINT_SUMMARY ("Automatic charset detection ......." USE_ENCA ENCA_FOUND)
 PRINT_SUMMARY ("Directory association ............." USE_DIR_ASSOC 1)
