=== debian/changelog ===
qmmp (1.1.10-1.1ubuntu2) bionic; urgency=medium

  * No-change rebuild against libcdio17

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 02:52:46 +0000

qmmp (1.1.10-1.1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Nov 2017 18:44:45 +0100

qmmp (1.1.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on qttools5-dev. Closes: #881084.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Nov 2017 18:35:41 +0100

qmmp (1.1.10-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable qmmp-plugin-projectm on arm64, where Qt is also linked to
      GLESv2 in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 26 Oct 2017 16:05:53 -0700

qmmp (1.1.10-1) unstable; urgency=medium

  * Acknowledging NMU.
  * New upstream release. Closes: #855826, #857962.
  * Bump Standards-Version to 4.1.0 (no changes needed).
  * projectm: add missing Depends on ttf-dejavu-core.

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 24 Aug 2017 20:39:12 -0400
