=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matteo Cypriani <mcy@lm7.fr>
 Build-Depends: debhelper (>= 10), cmake, pkg-config, qtbase5-dev (>= 5.4),
-  libqt5x11extras5-dev (>= 5.4), qttools5-dev-tools (>= 5.4),
+  libqt5x11extras5-dev (>= 5.4), qttools5-dev-tools (>= 5.4), qttools5-dev,
   qtchooser, libx11-dev, oss4-dev [!linux-any], libmad0-dev, libvorbis-dev,
   libogg-dev, libasound2-dev [linux-any], libtag1-dev (>= 1.10),
   libcurl4-gnutls-dev, qtmultimedia5-dev (>= 5.4), libmms-dev,
@@ -14,7 +14,7 @@
   libcddb2-dev, libfaad-dev, libgme-dev, libopus-dev (>= 1.0.2),
   libopusfile-dev, libwildmidi-dev, libsidplayfp-dev (>= 1.0.3),
   libbs2b-dev, libprojectm-dev [!armel !armhf !arm64], libenca-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://qmmp.ylsoftware.com/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/qmmp.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/qmmp.git
@@ -89,7 +89,7 @@
 
 Package: qmmp-plugin-projectm
 Architecture: any-amd64 any-i386 any-mips any-mipsel any-powerpc any-ppc64el any-s390x any-alpha any-hppa any-m68k any-mips64el any-powerpcspe any-sh4 any-sparc64 any-x32
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ttf-dejavu-core
 Description: qmmp audio player -- projectM visualization plugin
  Qmmp is feature-rich audio player with support of many formats.
  It is written in Qt.
