## qmmp 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,10 @@
 IF(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   SET(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} /opt/local/include)
 ENDIF()
+
+if(POLICY CMP0071)
+  cmake_policy(SET CMP0071 NEW)
+endif()
 
 #Qt5 modules
 SET(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} /opt/qt56/lib/cmake)
@@ -155,6 +159,7 @@
 PRINT_SUMMARY ("Game music support ................" USE_GME GME_FOUND)
 PRINT_SUMMARY ("Ogg Opus support .................." USE_OPUS OPUS_FOUND)
 PRINT_SUMMARY ("SID support ......................." USE_SID SIDPLAYFP_FOUND)
+PRINT_SUMMARY ("Archive support ..................." USE_ARCHIVE LIBARCHIVE_FOUND)
 
 MESSAGE("")
 MESSAGE("Output Plugins:")
@@ -168,6 +173,7 @@
 PRINT_SUMMARY ("Win32 DirectSound support ........." USE_DSOUND DSOUND_H_FOUND)
 PRINT_SUMMARY ("Win32 WASAPI support .............." USE_WASAPI WASAPI_FOUND)
 PRINT_SUMMARY ("Qt Multimedia support ............." USE_QTMULTIMEDIA Qt5Multimedia_FOUND)
+PRINT_SUMMARY ("Icecast support ..................." USE_SHOUT SHOUT_FOUND)
 
 MESSAGE("")
 MESSAGE("Effect Plugins:")
@@ -176,6 +182,7 @@
 PRINT_SUMMARY ("LADSPA Host ......................." USE_LADSPA 1)
 PRINT_SUMMARY ("Crossfade ........................." USE_CROSSFADE 1)
 PRINT_SUMMARY ("Extra Stereo ......................" USE_STEREO 1)
+PRINT_SUMMARY ("File Writer ......................." USE_FILEWRITER VORBISENC_FOUND)
 
 MESSAGE("")
 MESSAGE("Visual Plugins:")
