=== debian/changelog ===
qmmp (1.2.2-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable qmmp-plugin-projectm on arm64, where Qt is also linked to
      GLESv2 in Ubuntu.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Jul 2018 12:55:40 +0200

qmmp (1.2.2-1) unstable; urgency=medium

  * Acknowledging NMU.
  * New upstream version. Closes: #888362.
  * Update debian/copyright
  * Bump Standards-Version to 4.1.4 (no changes needed).

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 13 Jun 2018 22:04:33 +0200

qmmp (1.2.0-1ubuntu2) cosmic; urgency=medium

  * No-change rebuild for libcdio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Jun 2018 00:35:30 +0000

qmmp (1.2.0-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable qmmp-plugin-projectm on arm64, where Qt is also linked to
      GLESv2 in Ubuntu.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 15 May 2018 11:51:42 -0700

qmmp (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0.
    + Add libarchive and libshout as build-depends to enable new features.
    + Update package description.
  * Add patch: Quit including moc_hotkeymanager.cpp. Closes: #891215.
  * Don'd depend on transitional dummy package ttf-dejavu-core, use
    fonts-dejavu-core instead. Closes: #885568.
  * Add missing build-depend qttools5-dev.
  * Bump Standards-Version to 4.1.3 (no changes needed).
  * Switch to debhelper compat 11 (no changes needed).
  * Update Vcs URLs to salsa.d.o.
  * Update copyright and upstream/metadata.

 -- Matteo Cypriani <mcy@lm7.fr>  Thu, 08 Mar 2018 21:49:21 +0100
