=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matteo Cypriani <mcy@lm7.fr>
-Build-Depends: debhelper (>= 10), cmake, pkg-config, qtbase5-dev (>= 5.4),
-  libqt5x11extras5-dev (>= 5.4), qttools5-dev-tools (>= 5.4), qttools5-dev,
+Build-Depends: debhelper (>= 11), cmake, pkg-config, qtbase5-dev (>= 5.4),
+  libqt5x11extras5-dev (>= 5.4), qttools5-dev (>= 5.4),
+  qttools5-dev-tools (>= 5.4),
   qtchooser, libx11-dev, oss4-dev [!linux-any], libmad0-dev, libvorbis-dev,
   libogg-dev, libasound2-dev [linux-any], libtag1-dev (>= 1.10),
   libcurl4-gnutls-dev, qtmultimedia5-dev (>= 5.4), libmms-dev,
@@ -13,11 +14,12 @@
   libavcodec-dev, libavformat-dev, libcdio-dev, libcdio-paranoia-dev,
   libcddb2-dev, libfaad-dev, libgme-dev, libopus-dev (>= 1.0.2),
   libopusfile-dev, libwildmidi-dev, libsidplayfp-dev (>= 1.0.3),
-  libbs2b-dev, libprojectm-dev [!armel !armhf !arm64], libenca-dev
-Standards-Version: 4.1.0
+  libbs2b-dev, libprojectm-dev [!armel !armhf !arm64], libenca-dev,
+  libarchive-dev (>= 3.2), libshout3-dev
+Standards-Version: 4.1.4
 Homepage: http://qmmp.ylsoftware.com/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/qmmp.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/qmmp.git
+Vcs-Git: https://salsa.debian.org/debian/qmmp.git
+Vcs-Browser: https://salsa.debian.org/debian/qmmp
 
 Package: qmmp
 Architecture: any
@@ -60,6 +62,7 @@
   - PulseAudio
   - JACK
   - QTMultimedia
+  - Icecast
  .
  Other features:
   - XMMS and Winamp 2.x skins support
@@ -84,12 +87,14 @@
   - audio formats converter
   - external programs execution on track change
   - ReplayGain scanner
+  - archive reader
+  - audio recording
   - visualization (spectre analyzer, projectm)
   - global hotkeys
 
 Package: qmmp-plugin-projectm
 Architecture: any-amd64 any-i386 any-mips any-mipsel any-powerpc any-ppc64el any-s390x any-alpha any-hppa any-m68k any-mips64el any-powerpcspe any-sh4 any-sparc64 any-x32
-Depends: ${misc:Depends}, ${shlibs:Depends}, ttf-dejavu-core
+Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-dejavu-core
 Description: qmmp audio player -- projectM visualization plugin
  Qmmp is feature-rich audio player with support of many formats.
  It is written in Qt.
